> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-en/rest-api/midapi-v2/validation-services/phone-validation.md).

# Phone Validation

Service that evaluates the fraud risk associated with a phone number.

### Endpoint

```
GET /validation/phone/{country}/{phone}
```

### Headers

| Name              | Type   | Required | Description                                                                                                                   |
| ----------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **Authorization** | string | **Yes**  | Consumer Token in Bearer format `Bearer <token>`. See [Authentication](/docs.facephi-en/rest-api/midapi-v2/autenticacion.md). |
| **consumer-id**   | string | **Yes**  | Consumer identifier.                                                                                                          |

### Path parameters

| Parameter | Type   | Required | Description                  |
| --------- | ------ | -------- | ---------------------------- |
| `country` | string | **Yes**  | Country of the phone number. |
| `phone`   | string | **Yes**  | Phone number to evaluate.    |

### Responses

#### `200` Success

#### Response parameters

| Parameter       | Type    | Description                                                |
| --------------- | ------- | ---------------------------------------------------------- |
| `consumerId`    | string  | Identifier of the consumer that made the call.             |
| `transactionId` | string  | Transaction identifier.                                    |
| `timestamp`     | string  | Response timestamp in format **ISO 8601**.                 |
| `message`       | string  | Descriptive field for the result of the service execution. |
| `type`          | string  | Queried data type: `IP`, `EMAIL` or `PHONE`.               |
| `fraud`         | boolean | Indicates whether the data is considered fraudulent.       |
| `data`          | object  | Details of the risk signals evaluated.                     |

#### Other responses

| Code  | Description                                                          |
| ----- | -------------------------------------------------------------------- |
| `401` | Missing, invalid, or expired Token.                                  |
| `403` | The consumer is not provisioned with the service `PHONE_VALIDATION`. |

The body of an error response has the form described in [MIDAPI v2](/docs.facephi-en/rest-api/midapi-v2.md#respuestas-de-error).
